Skip to end of metadata
Go to start of metadata

Supported Java Releases

  • JobScheduler can be operated with a Java Runtime Environment (JRE) and Java Development Kit (JDK)
  • Java releases povided by Oracle and OpenJDK are supported

JobScheduler Java Release Policies

  • Since Java 1.9 Oracle changed the JVM life cycle:
    • New Java releases ship every 6 months.
    • Public maintenance for Java releases is restricted to 12 months. Users can opt for a support contract with Oracle to prolong maintenance for Java.
    • Java releases do not follow semantic versioning.
  • These changes affect JobScheduler releases as follows:
    • We cannot know if new Java releases will or will not be compatible with existing JobScheduler releases. Compatibility testing requires substantial effort and is partly performed by the JobScheduler community, see below explanations on Supported and Reported Compatibility.
    • JobScheduler Agents are available for a larger number of platforms, including AIX®, HP-UX® etc. Such platforms tend to implement new JVM releases with some substantial delay, usually up to one year. 
  • SOS Release Policies
    • All JobScheduler components (Master, Agent, JOC Cockpit) are built with the same Java release.
    • JobScheduler components are not built with the newest Java release but with the oldest compatible Java release, e.g. JobScheduler 1.12 is built with Java 1.8, JobScheduler 2.0 is built with Java 1.10.
    • We try to consider compatibility with newer Java releases, e.g. a JobScheduler Master 1.12.2 is built with Java 1.8 and can be operated with Java 1.8, 1.9 and 1.10 that are supported Java releases at the time of public availability of the JobScheduler Master. We cannot guarantee compatibility with upcoming Java releases.
    • For use of JobScheduler Long Term Support releases we encourage our users to opt for a support contract with Oracle to prolong Java maintenance for the same duration as JobScheduler LTS maintenance.
      • We will check compatibility of JobScheduler LTS releases with newer Java versions based on customer demands.
      • We will not modify JobScheduler LTS releases to be built with newer Java versions. We will check to modify existing code to be compatible with the Java release that has originally been used and with newer Java releases, however, feasibility cannot be guaranteed as this depends on compatibility gaps between Java releases. 
      • For JobScheduler release 1.12 Java 1.8 is used for the build environment (Supported Compatibility) and  Java 1.9 and 1.10 can be used at run-time (Reported Compatibility).

 

JobScheduler Java Compatibility for Releases starting from 1.10

 

JobScheduler ReleaseJava Runtime EnvionmentJava Build Environment
 Supported Compatibility 1)Reported Compatibility 2)Supported Compatibility 1)Reported Compatibility 2)
JobScheduler Master    
1.101.81.81.81.8
1.111.81.81.81.8
1.121.81.81.81.8
1.12.21.8, 1.9, 1.101.8, 1.9, 1.101.81.8
1.12.31.8, 1.9, 1.101.8, 1.9, 1.101.81.8
JobScheduler Agent    
1.101.81.81.81.8
1.111.81.81.81.8
1.121.81.81.81.8
1.12.2

1.8, 1.9, 1.10

JS-1770 - JobScheduler and Agent Web Services for Unix operational with Java 9 and 10 Released

1.81.81.8
1.12.31.8, 1.9, 1.101.81.81.8
JOC Cockpit    
1.111.81.81.81.8
1.121.81.81.81.8
1.12.21.8, 1.9, 1.101.81.81.8
1.12.31.8, 1.9, 1.101.81.81.8

 

1) Supported Compatibility: JobScheduler is tested by SOS to work with the specified Java versions, SOS provides support for operation with Java.

2) Reported Compatibility: Users of JobScheduler report compatibility, however, no specific tests for the indicated Java versions are performed by SOS.

References

Change Management References

Loading
T Key Linked Issues Fix Version/s Status P Summary Updated
Fix JS-1770 1.12.3 Released Minor JobScheduler and Agent Web Services for Unix operational with Java 9 and 10 May 18, 2018

  • No labels